import type { _NSObject } from "../Foundation/NSObject.js";
import type { _PHASEMixer } from "./PHASEMixer.js";
import type { _PHASENumberMetaParameter } from "./PHASENumberMetaParameter.js";
import type { _AVAudioFormat } from "../AVFAudio/AVAudioFormat.js";
export declare class _PHASEStreamNode extends _NSObject {
    static alloc(): _PHASEStreamNode;
    static new(): _PHASEStreamNode;
    init(): _PHASEStreamNode;
    /**
     * @property gainMetaParameter @abstract If specified during construction, the metaparameter for controlling gain will be available here
     */
    gainMetaParameter(): _PHASENumberMetaParameter | null;
    /**
     * @property rateMetaParameter @abstract If specified during construction, the metaparameter for controlling rate/pitch will be available here
     */
    rateMetaParameter(): _PHASENumberMetaParameter | null;
    /**
     * @property mixer @abstract The readonly property that returns the PHASEMixer this stream was created with and assigned to.
     */
    mixer(): _PHASEMixer;
    /**
     * @property format @abstract The readonly property that returns the AVAudioFormat that this stream was initialized with.
     */
    format(): _AVAudioFormat;
}
